%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-classfilewriter
Version:          1.1.2
Release:          %mkrel 4
Group:            Development/Java
Summary:          JBoss Class File Writer
License:          ASL 2.0
URL:              https://github.com/jbossas/jboss-classfilewriter
Source0:          https://github.com/jbossas/jboss-classfilewriter/archive/%{namedversion}.tar.gz
# https://github.com/jbossas/jboss-classfilewriter/issues/11
Source1:          https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)

%description
This package contains JBoss Class File Writer

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

cp -p %{SOURCE1} LICENSE
sed -i 's/\r//' LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.1.2-4.mga9
+ Revision: 1827297
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.1.2-3.mga8
+ Revision: 1490921
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1262689
- Mageia 7 Mass Rebuild

* Sat May 13 2017 neoclust <neoclust> 1.1.2-1.mga6
+ Revision: 1100944
- New version 1.1.2
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.0.5-8.mga6
+ Revision: 976448
- First rebuild of the java stack
- sync package jboss-classfilewriter with fedora
- imported package jboss-classfilewriter

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-4.mga5
+ Revision: 748957
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.0.5-2.mga4
+ Revision: 541900
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 1.0.5-1.mga4
+ Revision: 496505
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 354911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 132860
- Clean spec file
+ gil <gil>
- imported package jboss-classfilewriter

